## kquickimageeditor 0.2.0

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2020 Carl Schwan <carl@carlschwan.eu>
#
# SPDX-License-Identifier: BSD-2-Clause

cmake_minimum_required(VERSION 3.5)

set(KF5_VERSION "5.79.0")
set(REQUIRED_QT_VERSION 5.15.0)

project(KQuickImageEditor LANGUAGES CXX VERSION 0.2.0)

find_package(ECM ${KF5_VERSION} NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

include(GNUInstallDirs)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings)
include(FeatureSummary)
include(ECMSetupVersion)
include(KDEClangFormat)
include(KDEGitCommitHooks)
include(ECMGenerateQmlTypes)
include(CMakePackageConfigHelpers)
include(KDEPackageAppTemplates)

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KQuickImageEditor")

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KQuickImageEditorConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KQuickImageEditorConfig.cmake"
    INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
    PATH_VARS  KF5_INCLUDE_INSTALL_DIR CMAKE_INSTALL_PREFIX
)

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/KQuickImageEditorConfigVersion.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/KQuickImageEditorConfig.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
)

ecm_setup_version(${PROJECT_VERSION}
    VARIABLE_PREFIX KQUICKIMAGEEDITOR
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kquickimageeditor_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KQuickImageEditorConfigVersion.cmake"
    SOVERSION 1
)


find_package(Qt5 ${REQUIRED_QT_VERSION} COMPONENTS Core Quick REQUIRED)

add_subdirectory(src)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES src/*.cpp src/*.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2020 Carl Schwan <carl@carlschwan.eu>
#
# SPDX-License-Identifier: BSD-2-Clause

set(
    sources
    code/commands/undocommand.cpp
    code/commands/cropcommand.cpp
    code/commands/resizecommand.cpp
    code/commands/mirrorcommand.cpp
    code/commands/rotatecommand.cpp
    code/kquickimageeditor_plugin.cpp
    code/resizehandle.cpp
    code/resizerectangle.cpp
    code/imageitem.cpp
    code/imagedocument.cpp
    resources.qrc
    controls/qmldir
    ${kquickimageeditor_QM_LOADER}
)

ecm_generate_qmltypes(org.kde.kquickimageeditor 1.0
                      DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/kquickimageeditor)

add_library(
    kquickimageeditorplugin
    SHARED
    ${sources}
)

target_link_libraries(
    kquickimageeditorplugin
    PRIVATE
        Qt5::Core
        Qt5::Quick
        Qt5::Qml
)

if (BUILD_SHARED_LIBS)
    add_custom_target(copy_to_bin ALL
        COMMAND ${CMAKE_COMMAND} -E
                make_directory ${CMAKE_BINARY_DIR}/bin/org/kde/kquickimageeditor/
        COMMAND ${CMAKE_COMMAND} -E
                copy_directory ${CMAKE_CURRENT_SOURCE_DIR}/controls ${CMAKE_BINARY_DIR}/bin/org/kde/kquickimageeditor/
        COMMAND ${CMAKE_COMMAND} -E
                copy $<TARGET_FILE:kquickimageeditorplugin> ${CMAKE_BINARY_DIR}/bin/org/kde/kquickimageeditor/
    )

    install(DIRECTORY controls/ DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/kquickimageeditor)

    include(ECMGeneratePriFile)
    ecm_generate_pri_file(BASE_NAME KQuickImageEditor LIB_NAME KQuickImageEditor DEPS "core qml quick svg" FILENAME_VAR PRI_FILENAME )
    install(FILES ${PRI_FILENAME}
            DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

endif()

install(TARGETS kquickimageeditorplugin DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/kquickimageeditor )

=== debian/changelog ===
kquickimageeditor (0.2.0-4) unstable; urgency=medium

  * Team upload.
  * Install the qmake development stuff in kquickimageeditor-dev, rather than
    qml-module-org-kde-kquickimageeditor
    - add proper breaks/replaces
  * Drop the qml-module-qtquick2 dependency in kquickimageeditor-dev, as it is
    a dependency of qml-module-org-kde-kquickimageeditor already.
  * Use dh_installexamples to install the examples in kquickimageeditor-dev,
    rather than dh_install.
  * Remove the unused ${shlibs:Depends} substvar from kquickimageeditor-dev.

 -- Pino Toscano <pino@debian.org>  Sun, 27 Feb 2022 08:11:58 +0100

kquickimageeditor (0.2.0-3) unstable; urgency=medium

  * Set correct Debian maintainer information.

 -- Sandro Knauß <hefee@debian.org>  Tue, 22 Feb 2022 12:23:14 +0100

kquickimageeditor (0.2.0-2) unstable; urgency=medium

  * Set upstream metadata fields: Bug-Database, Bug-Submit.

 -- Sandro Knauß <hefee@debian.org>  Mon, 21 Feb 2022 17:28:59 +0100

kquickimageeditor (0.2.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * First upload to Debian (Closes: #989528)

  [ Sandro Knauß ]
  * Finish last bits to finally upload.

 -- Sandro Knauß <hefee@debian.org>  Sat, 19 Feb 2022 15:27:58 +0100

=== debian/control ===
Source: kquickimageeditor
Section: libs
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 13),
               extra-cmake-modules,
               pkg-kde-tools (>= 0.15.18~),
               qtbase5-dev,
               qtdeclarative5-dev
Standards-Version: 4.6.0
Homepage: https://invent.kde.org/libraries/kquickimageeditor
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kquickimageeditor
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kquickimageeditor.git
Rules-Requires-Root: no

Package: kquickimageeditor-dev
Architecture: any
Depends: qml-module-org-kde-kquickimageeditor (= ${binary:Version}),
         qtbase5-dev,
         qtdeclarative5-dev,
         ${misc:Depends},
Breaks: qml-module-org-kde-kquickimageeditor (<< 0.2.0-4~),
Replaces: qml-module-org-kde-kquickimageeditor (<< 0.2.0-4~),
Description: Image editing components - devel files
 A QtQuick plugin providing Image editing components.
 .
 This package contains the development files.

Package: qml-module-org-kde-kquickimageeditor
Architecture: any
Depends: qml-module-org-kde-kirigami2,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Image editing components
 A QtQuick plugin providing  Image editing components.
 .
 This package contain the runtime qml module.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with kf5 --buildsystem kf5

## kquickimageeditor 0.3.0

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2020 Carl Schwan <carl@carlschwan.eu>
#
# SPDX-License-Identifier: BSD-2-Clause

ecm_add_qml_module(kquickimageeditorplugin URI "org.kde.kquickimageeditor" VERSION 1.0)

target_sources(kquickimageeditorplugin PRIVATE
    code/commands/undocommand.cpp
    code/commands/undocommand.h
    code/commands/cropcommand.cpp
    code/commands/cropcommand.h
    code/commands/resizecommand.cpp
    code/commands/resizecommand.h
    code/commands/mirrorcommand.cpp
    code/commands/mirrorcommand.h
    code/commands/rotatecommand.cpp
    code/commands/rotatecommand.h
    code/kquickimageeditor_plugin.cpp
    code/kquickimageeditor_plugin.h
    code/resizehandle.cpp
    code/resizehandle.h
    code/resizerectangle.cpp
    code/resizerectangle.h
    code/imageitem.cpp
    code/imageitem.h
    code/imagedocument.cpp
    code/imagedocument.h
    ${kquickimageeditor_QM_LOADER}
)

ecm_target_qml_sources(kquickimageeditorplugin SOURCES
    controls/BasicResizeHandle.qml
    controls/SelectionTool.qml
    controls/qt${QT_MAJOR_VERSION}/SelectionHandle.qml
    controls/SelectionBackground.qml
    controls/CropBackground.qml
    controls/RectangleCutout.qml
)

target_link_libraries(kquickimageeditorplugin
    PRIVATE
    Qt${QT_MAJOR_VERSION}::Core
    Qt${QT_MAJOR_VERSION}::Quick
    Qt${QT_MAJOR_VERSION}::Qml
)

ecm_finalize_qml_module(kquickimageeditorplugin DESTINATION ${KDE_INSTALL_QMLDIR})

include(ECMGeneratePriFile)
ecm_generate_pri_file(BASE_NAME KQuickImageEditor LIB_NAME KQuickImageEditor DEPS "core qml quick svg" FILENAME_VAR PRI_FILENAME )
install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

=== debian/changelog ===
kquickimageeditor (0.3.0-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 09:08:41 +0000

kquickimageeditor (0.3.0-1build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:16:25 +0000

kquickimageeditor (0.3.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Update standards version to 4.6.2, no changes needed.
  * Update the upstream GPG signing key.
  * Update the build dependencies according to the upstream build system:
    - bump extra-cmake-modules to 5.91
    - bump Qt 5 packages to 5.15.0
  * Small copyright changes.

 -- Pino Toscano <pino@debian.org>  Fri, 03 Nov 2023 07:16:54 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: kquickimageeditor
 Section: libs
 Priority: optional
-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Sandro Knauß <hefee@debian.org>
 Build-Depends: cmake (>= 3.5~),
                debhelper-compat (= 13),
-               extra-cmake-modules,
+               extra-cmake-modules (>= 5.91.0~),
                pkg-kde-tools (>= 0.15.18~),
-               qtbase5-dev,
-               qtdeclarative5-dev
-Standards-Version: 4.6.0
+               qtbase5-dev (>= 5.15.0~),
+               qtdeclarative5-dev (>= 5.15.0~),
+Standards-Version: 4.6.2
 Homepage: https://invent.kde.org/libraries/kquickimageeditor
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kquickimageeditor
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kquickimageeditor.git

## kquickimageeditor 0.4.0

=== debian/changelog ===
kquickimageeditor (0.4.0-1) experimental; urgency=medium

  [ Vincent Pinon ]
  * New upstream release (0.4.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.0 (no changes needed).
  * Move build to Qt6
    - Rename qml- package to qml6-.

  [ Sandro Knauß ]
  * Use dh-sequence instead of --with.
  * Mark packages as Multi-Arch: same.
  * Use pkgkde-getqmldepends.
  * d/copyright: Add Upstream-Name and Source.

 -- Sandro Knauß <hefee@debian.org>  Thu, 03 Oct 2024 00:16:33 +0200

=== debian/control ===
Source: kquickimageeditor
Section: libs
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.0.0~),
               pkg-kde-tools (>= 0.15.18~),
               qml6-module-org-kde-kirigami,
               qml6-module-qtquick,
               qml6-module-qtquick-effects,
               qt6-base-dev (>= 6.6.0~),
               qt6-declarative-dev (>= 6.6.0~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/libraries/kquickimageeditor
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kquickimageeditor
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kquickimageeditor.git
Rules-Requires-Root: no

Package: kquickimageeditor-dev
Architecture: any
Multi-Arch: same
Depends: qml6-module-org-kde-kquickimageeditor (= ${binary:Version}),
         qt6-base-dev (>= 6.6.0~),
         qt6-declarative-dev (>= 6.6.0~),
         ${misc:Depends},
Description: Image editing components - devel files
 A QtQuick plugin providing Image editing components.
 .
 This package contains the development files.

Package: qml6-module-org-kde-kquickimageeditor
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: Image editing components
 A QtQuick plugin providing  Image editing components.
 .
 This package contain the runtime qml module.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

execute_before_dh_gencontrol:
	pkgkde-getqmldepends -p qml6-module-org-kde-kquickimageeditor --qt 6 -- -qmlFiles debian/qml6-module-org-kde-kquickimageeditor/usr/lib/*/qt6/qml/org/kde/kquickimageeditor/*.qml

## kquickimageeditor 0.5.0

=== debian/changelog ===
kquickimageeditor (0.5.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (0.5.0).
  * Added myself to the uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 23 Jan 2025 15:27:03 +0100

kquickimageeditor (0.4.0-3) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * Add/update Carl Schwan’s key in upstream keyring.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 13 Dec 2024 10:28:01 +0100

kquickimageeditor (0.4.0-2) experimental; urgency=medium

  [ Sandro Knauß ]
  * Use dh_qmldeps to detect QML dependencies.
  * Temporarily add qt6-declarative-private-dev to workaround #1087385.
  * Update list of needed QML modules.
  * Examples shipped in dev package depends on QML modules add those as
    suggests.

 -- Sandro Knauß <hefee@debian.org>  Mon, 25 Nov 2024 17:40:48 +0100

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,18 @@
 Section: libs
 Priority: optional
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
-Uploaders: Sandro Knauß <hefee@debian.org>,
+Uploaders: Aurélien COUDERC <coucouf@debian.org>,
+           Sandro Knauß <hefee@debian.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                dh-sequence-kf6,
+               dh-sequence-qmldeps,
                extra-cmake-modules (>= 6.0.0~),
                pkg-kde-tools (>= 0.15.18~),
                qml6-module-org-kde-kirigami,
-               qml6-module-qtquick,
-               qml6-module-qtquick-effects,
                qt6-base-dev (>= 6.6.0~),
                qt6-declarative-dev (>= 6.6.0~),
+               qt6-declarative-private-dev,
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/libraries/kquickimageeditor
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kquickimageeditor
@@ -26,6 +27,7 @@
          qt6-base-dev (>= 6.6.0~),
          qt6-declarative-dev (>= 6.6.0~),
          ${misc:Depends},
+Suggests: ${qml6:Depends},
 Description: Image editing components - devel files
  A QtQuick plugin providing Image editing components.
  .
@@ -34,9 +36,7 @@
 Package: qml6-module-org-kde-kquickimageeditor
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
-         ${qml6:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Description: Image editing components
  A QtQuick plugin providing  Image editing components.
  .

## kquickimageeditor 0.5.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,17 +2,17 @@
 #
 # SPDX-License-Identifier: BSD-2-Clause
 
-cmake_minimum_required(VERSION 3.5)
+cmake_minimum_required(VERSION 3.16)
 
-set(KF5_VERSION "5.79.0")
-set(REQUIRED_QT_VERSION 5.15.0)
+set(REQUIRED_KF_VERSION 6.0.0)
+set(REQUIRED_QT_VERSION 6.6.0)
+set(KDE_COMPILERSETTINGS_LEVEL 5.84.0)
 
-project(KQuickImageEditor LANGUAGES CXX VERSION 0.2.0)
+project(KQuickImageEditor LANGUAGES CXX VERSION 0.5.1)
 
-find_package(ECM ${KF5_VERSION} NO_MODULE)
+find_package(ECM ${REQUIRED_KF_VERSION} NO_MODULE)
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})
 
-include(GNUInstallDirs)
 include(KDEInstallDirs)
 include(KDECMakeSettings)
 include(KDECompilerSettings)
@@ -23,6 +23,7 @@
 include(ECMGenerateQmlTypes)
 include(CMakePackageConfigHelpers)
 include(KDEPackageAppTemplates)
+include(ECMQmlModule)
 
 set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KQuickImageEditor")
 
@@ -30,7 +31,7 @@
     "${CMAKE_CURRENT_SOURCE_DIR}/KQuickImageEditorConfig.cmake.in"
     "${CMAKE_CURRENT_BINARY_DIR}/KQuickImageEditorConfig.cmake"
     INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
-    PATH_VARS  KF5_INCLUDE_INSTALL_DIR CMAKE_INSTALL_PREFIX
+    PATH_VARS CMAKE_INSTALL_PREFIX
 )
 
 install(FILES
@@ -48,11 +49,11 @@
 )
 
 
-find_package(Qt5 ${REQUIRED_QT_VERSION} COMPONENTS Core Quick REQUIRED)
+find_package(Qt6 ${REQUIRED_QT_VERSION} COMPONENTS Core Quick REQUIRED)
 
 add_subdirectory(src)
 
-feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
+feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
 # add clang-format target for all our real source files
 file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES src/*.cpp src/*.h)

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2020 Carl Schwan <carl@carlschwan.eu>
#
# SPDX-License-Identifier: BSD-2-Clause

ecm_add_qml_module(kquickimageeditorplugin URI "org.kde.kquickimageeditor" VERSION 1.0 GENERATE_PLUGIN_SOURCE DEPENDENCIES "QtQuick" "QtQuick.Effects")

target_sources(kquickimageeditorplugin PRIVATE
    commands/undocommand.cpp
    commands/undocommand.h
    commands/cropcommand.cpp
    commands/cropcommand.h
    commands/resizecommand.cpp
    commands/resizecommand.h
    commands/mirrorcommand.cpp
    commands/mirrorcommand.h
    commands/rotatecommand.cpp
    commands/rotatecommand.h
    resizehandle.cpp
    resizehandle.h
    resizerectangle.cpp
    resizerectangle.h
    imageitem.cpp
    imageitem.h
    imagedocument.cpp
    imagedocument.h
    ${kquickimageeditor_QM_LOADER}
)

ecm_target_qml_sources(kquickimageeditorplugin SOURCES
    controls/BasicResizeHandle.qml
    controls/SelectionTool.qml
    controls/SelectionHandle.qml
    controls/SelectionBackground.qml
    controls/CropBackground.qml
    controls/RectangleCutout.qml
)

target_link_libraries(kquickimageeditorplugin
    PRIVATE
    Qt6::Core
    Qt6::Quick
    Qt6::Qml
)

ecm_finalize_qml_module(kquickimageeditorplugin DESTINATION ${KDE_INSTALL_QMLDIR})

include(ECMGeneratePriFile)
ecm_generate_pri_file(BASE_NAME KQuickImageEditor LIB_NAME KQuickImageEditor DEPS "core qml quick svg" FILENAME_VAR PRI_FILENAME )
install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

=== debian/changelog ===
kquickimageeditor (0.5.1-1build1) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.3 (LP: #2103945).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 29 Mar 2025 15:06:17 -0500

kquickimageeditor (0.5.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.7.2, no changes required.

 -- Pino Toscano <pino@debian.org>  Mon, 03 Mar 2025 06:52:59 +0100

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                qt6-base-dev (>= 6.6.0~),
                qt6-declarative-dev (>= 6.6.0~),
                qt6-declarative-private-dev,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/libraries/kquickimageeditor
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kquickimageeditor
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kquickimageeditor.git

=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/@PACKAGE@/@PACKAGE@-(.*)\.tar\.xz

## kquickimageeditor 0.5.1+p24.04+vstable+git20250903.2211

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2020 Carl Schwan <carl@carlschwan.eu>
#
# SPDX-License-Identifier: BSD-2-Clause

cmake_minimum_required(VERSION 3.16)

set(REQUIRED_KF_VERSION 6.13.0)
set(REQUIRED_QT_VERSION 6.8.0)

project(KQuickImageEditor LANGUAGES CXX VERSION 0.5.1)

find_package(ECM ${REQUIRED_KF_VERSION} NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

include(FeatureSummary)
include(CMakePackageConfigHelpers)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings)
include(KDEClangFormat)
include(KDEGitCommitHooks)
include(KDEPackageAppTemplates)

include(ECMAddTests)
include(ECMSetupVersion)
include(ECMGenerateExportHeader)
include(ECMGenerateHeaders)
include(ECMGenerateQmlTypes)
include(ECMQmlModule)

find_package(Qt6 ${REQUIRED_QT_VERSION} COMPONENTS Core Qml Quick REQUIRED)
find_package(KF6 ${REQUIRED_KF_VERSION} REQUIRED Config)

if(NOT WIN32)
    find_package(OpenCV 4.7 COMPONENTS core imgproc)
    if (NOT OpenCV_DIR)
        message("OpenCV is missing. Build with OpenCV to get better blur performance.")
    endif()
endif()

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KQuickImageEditor")
set(KQuickImageEditor_INSTALL_INCLUDEDIR ${KDE_INSTALL_INCLUDEDIR}/KQuickImageEditor)
set(kquickimageeditor_INSTALL_INCLUDEDIR ${KDE_INSTALL_INCLUDEDIR}/kquickimageeditor)

ecm_setup_version(${PROJECT_VERSION}
    VARIABLE_PREFIX KQUICKIMAGEEDITOR
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kquickimageeditor_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KQuickImageEditorConfigVersion.cmake"
    SOVERSION 1
)
configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KQuickImageEditorConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KQuickImageEditorConfig.cmake"
    INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
    PATH_VARS CMAKE_INSTALL_PREFIX
)

add_subdirectory(src)
if (BUILD_TESTING)
  add_subdirectory(autotests)
endif()

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/kquickimageeditor_version.h DESTINATION ${KQuickImageEditor_INSTALL_INCLUDEDIR} COMPONENT Devel)
install(EXPORT KQuickImageEditorTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KQuickImageEditorTargets.cmake)
install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/KQuickImageEditorConfigVersion.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/KQuickImageEditorConfig.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES src/*.cpp src/*.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2020 Carl Schwan <carl@carlschwan.eu>
# SPDX-FileCopyrightText: 2025 Noah Davis <noahadvs@gmail.com>
# SPDX-License-Identifier: BSD-2-Clause

add_library(KQuickImageEditor)

ecm_add_qml_module(KQuickImageEditor
    URI "org.kde.kquickimageeditor"
    CLASS_NAME KQuickImageEditorPlugin
    VERSION 1.0
    GENERATE_PLUGIN_SOURCE
    INSTALLED_PLUGIN_TARGET KQuickImageEditorPlugin
    DEPENDENCIES
        "QtQuick"
        "QtQuick.Controls"
        "QtQuick.Effects"
        "QtQuick.Shapes"
        "QtQuick.Templates"
        "org.kde.kirigami"
)

ecm_generate_export_header(KQuickImageEditor
    VERSION ${PROJECT_VERSION}
    BASE_NAME KQuickImageEditor
)
set_target_properties(KQuickImageEditor PROPERTIES
    VERSION     ${PROJECT_VERSION}
    SOVERSION   1
    EXPORT_NAME KQuickImageEditor
)

kconfig_target_kcfg_file(KQuickImageEditor
    FILE annotationconfig.kcfg
    CLASS_NAME AnnotationConfig
    DEFAULT_VALUE_GETTERS
    GENERATE_MOC
    GENERATE_PROPERTIES
    MUTATORS
    QML_REGISTRATION
    SINGLETON
)

target_sources(KQuickImageEditor PRIVATE
    annotations/annotationdocument.cpp
    annotations/annotationdocument.h
    annotations/annotationdocument_p.h
    annotations/annotationtool.cpp
    annotations/annotationtool.h
    annotations/annotationviewport.cpp
    annotations/annotationviewport.h
    annotations/history.cpp
    annotations/history.h
    annotations/qmlpainterpath.cpp
    annotations/qmlpainterpath.h
    annotations/stackblur.h
    annotations/traits.cpp
    annotations/traits.h
    annotations/utils.h

    commands/undocommand.cpp
    commands/undocommand.h
    commands/cropcommand.cpp
    commands/cropcommand.h
    commands/resizecommand.cpp
    commands/resizecommand.h
    commands/mirrorcommand.cpp
    commands/mirrorcommand.h
    commands/rotatecommand.cpp
    commands/rotatecommand.h
    resizehandle.cpp
    resizehandle.h
    resizerectangle.cpp
    resizerectangle.h
    imageitem.cpp
    imageitem.h
    imagedocument.cpp
    imagedocument.h
)

ecm_target_qml_sources(KQuickImageEditor SOURCES
    annotations/AnnotationSelectionTool.qml
    annotations/CropTool.qml
    annotations/HoverOutline.qml
    annotations/TextTool.qml
    controls/BasicResizeHandle.qml
    controls/CropBackground.qml
    controls/RectangleCutout.qml
    controls/SelectionBackground.qml
    controls/SelectionHandle.qml
    controls/SelectionTool.qml
)

ecm_target_qml_sources(KQuickImageEditor PRIVATE PATH private SOURCES
    annotations/private/AnimatedLoader.qml
    annotations/private/DashedOutline.qml
    annotations/private/Handle.qml
    annotations/private/Outline.qml
    annotations/private/TextContextMenu.qml
)

kde_target_enable_exceptions(KQuickImageEditor PRIVATE)
target_link_libraries(KQuickImageEditor
    PUBLIC
    Qt6::Core
    Qt6::Quick
    Qt6::Qml
    KF6::ConfigCore
    KF6::ConfigGui
)
if (OpenCV_DIR)
    target_sources(KQuickImageEditor PRIVATE annotations/stackblur_opencv.cpp)
    kde_target_enable_exceptions(KQuickImageEditor PRIVATE)
    target_include_directories(KQuickImageEditor PRIVATE ${OpenCV_INCLUDE_DIRS})
    target_link_libraries(KQuickImageEditor PRIVATE ${OpenCV_LIBRARIES})
else()
    target_sources(KQuickImageEditor PRIVATE annotations/stackblur.cpp)
endif()

target_include_directories(KQuickImageEditor PUBLIC "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/annotations>")
target_include_directories(KQuickImageEditor INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/KQuickImageEditor>")

ecm_finalize_qml_module(KQuickImageEditor DESTINATION ${KDE_INSTALL_QMLDIR} EXPORT KQuickImageEditorTargets)

ecm_generate_headers(KQuickImageEditor_FORWARDING_HEADERS
    HEADER_NAMES
        AnnotationDocument
        AnnotationTool
        AnnotationViewport
    PREFIX KQuickImageEditor
    REQUIRED_HEADERS KQuickImageEditor_HEADERS
    RELATIVE annotations
)

include(ECMGeneratePriFile)
ecm_generate_pri_file(BASE_NAME KQuickImageEditor LIB_NAME KQuickImageEditor DEPS "core qml quick" FILENAME_VAR PRI_FILENAME )

install(TARGETS KQuickImageEditor EXPORT KQuickImageEditorTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES ${KQuickImageEditor_FORWARDING_HEADERS} DESTINATION ${KQuickImageEditor_INSTALL_INCLUDEDIR} COMPONENT Devel)
install(
    FILES
        ${KQuickImageEditor_HEADERS}
        ${CMAKE_CURRENT_BINARY_DIR}/kquickimageeditor_export.h
    DESTINATION ${kquickimageeditor_INSTALL_INCLUDEDIR}
    COMPONENT Devel
)
install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

=== debian/changelog ===
kquickimageeditor (0.5.1+p24.04+vstable+git20250903.2211-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 03 Sep 2025 22:11:32 +0000

kquickimageeditor (0.5.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 02 Mar 2025 10:46:10 +0000

kquickimageeditor (0.5.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 17 Jan 2025 10:46:10 +0000

kquickimageeditor (0.4.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 21 Sep 2024 10:46:10 +0000

kquickimageeditor (0.3.0-1neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 03 Nov 2023 10:46:06 +0000

=== debian/control ===
Source: kquickimageeditor
Section: libs
Priority: optional
Uploaders: Sandro Knauß <hefee@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kconfig-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-declarative-dev
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/libraries/kquickimageeditor
Rules-Requires-Root: no
Vcs-Git: https://invent.kde.org/neon/extras/kquickimageeditor.git
Vcs-Browser: https://invent.kde.org/neon/extras/kquickimageeditor
Maintainer: Neon CI <neon@kde.org>

Package: kquickimageeditor-dev
Architecture: any
Depends: qml6-module-org-kde-kquickimageeditor (= ${binary:Version}),
         qt6-base-dev,
         qt6-declarative-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Image editing components - devel files
 A QtQuick plugin providing Image editing components.
 .
 This package contains the development files.

Package: qml6-module-org-kde-kquickimageeditor
Architecture: any
Depends: qml6-module-org-kde-kirigami2,
         qml6-module-qtquick,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: qml-module-org-kde-kquickimageeditor (<< 0.3.0)
Replaces: qml-module-org-kde-kquickimageeditor (<< 0.3.0)
Description: Image editing components
 A QtQuick plugin providing  Image editing components.
 .
 This package contain the runtime qml module.

Package: qml-module-org-kde-kquickimageeditor
Architecture: all
Depends: qml6-module-org-kde-kquickimageeditor, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

## kquickimageeditor 0.5.1+p24.04+vstable+git20250903.2221

=== debian/changelog ===
kquickimageeditor (0.5.1+p24.04+vstable+git20250903.2221-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 03 Sep 2025 22:21:45 +0000

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
                debhelper-compat (= 13),
                kf6-extra-cmake-modules,
                kf6-kconfig-dev,
+               libopencv-dev,
                pkg-kde-tools-neon,
                qt6-base-dev,
                qt6-declarative-dev

## kquickimageeditor 0.5.1+p24.04+vstable+git20251123.1116

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -3,6 +3,7 @@
 # SPDX-License-Identifier: BSD-2-Clause
 
 add_library(KQuickImageEditor)
+ecm_generate_qdoc(KQuickImageEditor kquickimageeditor.qdocconf)
 
 ecm_add_qml_module(KQuickImageEditor
     URI "org.kde.kquickimageeditor"
@@ -117,7 +118,7 @@
 endif()
 
 target_include_directories(KQuickImageEditor PUBLIC "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/annotations>")
-target_include_directories(KQuickImageEditor INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/KQuickImageEditor>")
+target_include_directories(KQuickImageEditor INTERFACE "$<INSTALL_INTERFACE:${KQuickImageEditor_INSTALL_INCLUDEDIR}>")
 
 ecm_finalize_qml_module(KQuickImageEditor DESTINATION ${KDE_INSTALL_QMLDIR} EXPORT KQuickImageEditorTargets)
 
@@ -135,12 +136,15 @@
 ecm_generate_pri_file(BASE_NAME KQuickImageEditor LIB_NAME KQuickImageEditor DEPS "core qml quick" FILENAME_VAR PRI_FILENAME )
 
 install(TARGETS KQuickImageEditor EXPORT KQuickImageEditorTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
-install(FILES ${KQuickImageEditor_FORWARDING_HEADERS} DESTINATION ${KQuickImageEditor_INSTALL_INCLUDEDIR} COMPONENT Devel)
+install(FILES ${KQuickImageEditor_FORWARDING_HEADERS}
+    DESTINATION ${KQuickImageEditor_INSTALL_INCLUDEDIR}/KQuickImageEditor
+    COMPONENT Devel
+)
 install(
     FILES
         ${KQuickImageEditor_HEADERS}
         ${CMAKE_CURRENT_BINARY_DIR}/kquickimageeditor_export.h
-    DESTINATION ${kquickimageeditor_INSTALL_INCLUDEDIR}
+    DESTINATION ${KQuickImageEditor_INSTALL_INCLUDEDIR}/kquickimageeditor
     COMPONENT Devel
 )
 install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

=== debian/changelog ===
kquickimageeditor (0.5.1+p24.04+vstable+git20251123.1116-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 11:16:59 +0000

## kquickimageeditor 0.5.1+p24.04+vunstable+git20251113.1214

=== debian/changelog ===
kquickimageeditor (0.5.1+p24.04+vunstable+git20251113.1214-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 13 Nov 2025 12:14:13 +0000

## kquickimageeditor 0.5.1+p24.04+vunstable+git20251123.2330

=== debian/changelog ===
kquickimageeditor (0.5.1+p24.04+vunstable+git20251123.2330-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 23:30:50 +0000

## kquickimageeditor 0.6.0

=== autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2025 Carl Schwan <carl@carlschwan.eu>
# SPDX-License-Identifier: BSD-2-Clause

find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Test)

add_executable(stackblurtest_bin
    stackblurtest.cpp
    ../src/annotations/stackblur.cpp
)
target_link_libraries(stackblurtest_bin Qt::Test Qt::Gui)
ecm_mark_as_test(stackblurtest_bin)

# Run the benchmarks with just 1 iteration during CI, so we known it works
add_test(NAME stackblurtest COMMAND stackblurtest_bin "-iterations" "10")

if (OpenCV_DIR)
    add_executable(stackbluropencvtest_bin
        stackblurtest.cpp
        ../src/annotations/stackblur_opencv.cpp
    )
    kde_target_enable_exceptions(stackbluropencvtest_bin PRIVATE)
    target_include_directories(stackbluropencvtest_bin PRIVATE ${OpenCV_INCLUDE_DIRS})
    target_link_libraries(stackbluropencvtest_bin Qt::Test Qt::Gui ${OpenCV_LIBRARIES})
    ecm_mark_as_test(stackbluropencvtest_bin)

    # Run the benchmarks with just 1 iteration during CI, so we known it works
    add_test(NAME stackbluropencvtest COMMAND stackbluropencvtest_bin "-iterations" "10")
endif()

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -118,7 +118,7 @@
 endif()
 
 target_include_directories(KQuickImageEditor PUBLIC "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/annotations>")
-target_include_directories(KQuickImageEditor INTERFACE "$<INSTALL_INTERFACE:${KQuickImageEditor_INSTALL_INCLUDEDIR}>")
+target_include_directories(KQuickImageEditor INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/KQuickImageEditor>")
 
 ecm_finalize_qml_module(KQuickImageEditor DESTINATION ${KDE_INSTALL_QMLDIR} EXPORT KQuickImageEditorTargets)
 
@@ -136,15 +136,12 @@
 ecm_generate_pri_file(BASE_NAME KQuickImageEditor LIB_NAME KQuickImageEditor DEPS "core qml quick" FILENAME_VAR PRI_FILENAME )
 
 install(TARGETS KQuickImageEditor EXPORT KQuickImageEditorTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
-install(FILES ${KQuickImageEditor_FORWARDING_HEADERS}
-    DESTINATION ${KQuickImageEditor_INSTALL_INCLUDEDIR}/KQuickImageEditor
-    COMPONENT Devel
-)
+install(FILES ${KQuickImageEditor_FORWARDING_HEADERS} DESTINATION ${KQuickImageEditor_INSTALL_INCLUDEDIR} COMPONENT Devel)
 install(
     FILES
         ${KQuickImageEditor_HEADERS}
         ${CMAKE_CURRENT_BINARY_DIR}/kquickimageeditor_export.h
-    DESTINATION ${KQuickImageEditor_INSTALL_INCLUDEDIR}/kquickimageeditor
+    DESTINATION ${kquickimageeditor_INSTALL_INCLUDEDIR}
     COMPONENT Devel
 )
 install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

=== debian/changelog ===
kquickimageeditor (0.6.0-2build1) resolute; urgency=medium

  * No-change rebuild for Qt 6.10.2 private ABI.

 -- Rik Mills <rikmills@kde.org>  Tue, 10 Feb 2026 15:33:43 +0000

kquickimageeditor (0.6.0-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Update symbols from buildds for 0.6.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 16 Jan 2026 18:46:36 +0100

kquickimageeditor (0.6.0-1) unstable; urgency=medium

  [ Marco Mattiolo ]
  * New upstream release (0.6.0).
  * Update build-deps and deps with the info from cmake.
  * Introduce new libkquickimageeditor1 shared library.
  * d/control: drop redundant Rules-Requires-Root.
  * Migrate to debian/watch version 5 syntax.

  [ Aurélien COUDERC ]
  * Bump Standards-Version to 4.7.3, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 11 Jan 2026 22:11:43 +0100

=== debian/control ===
Source: kquickimageeditor
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Sandro Knauß <hefee@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.13.0~),
               libkf6config-dev (>= 6.13.0~),
               pkg-kde-tools (>= 0.15.18~),
               qml6-module-org-kde-kirigami,
               qt6-base-dev (>= 6.8.0~),
               qt6-declarative-dev (>= 6.8.0~),
               qt6-declarative-private-dev,
Standards-Version: 4.7.3
Homepage: https://invent.kde.org/libraries/kquickimageeditor
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kquickimageeditor
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kquickimageeditor.git

Package: kquickimageeditor-dev
Architecture: any
Multi-Arch: same
Depends: libkquickimageeditor1 (= ${binary:Version}),
         qml6-module-org-kde-kquickimageeditor (= ${binary:Version}),
         qt6-base-dev (>= 6.8.0~),
         qt6-declarative-dev (>= 6.8.0~),
         ${misc:Depends},
Suggests: ${qml6:Depends},
Description: Image editing components - devel files
 A QtQuick plugin providing Image editing components.
 .
 This package contains the development files.

Package: qml6-module-org-kde-kquickimageeditor
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: Image editing components
 A QtQuick plugin providing  Image editing components.
 .
 This package contain the runtime qml module.

Package: libkquickimageeditor1
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Image editing components -- shared library
 A QtQuick plugin providing Image editing components.
 .
 This package contains its shared library.

## kquickimageeditor 0.6.0+p24.04+vstable+git20251209.0239

=== debian/changelog ===
kquickimageeditor (0.6.0+p24.04+vstable+git20251209.0239-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 02:39:56 +0000

kquickimageeditor (0.6.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 12:08:10 +0000

## kquickimageeditor 0.6.0+p24.04+vunstable+git20251209.0237

=== debian/changelog ===
kquickimageeditor (0.6.0+p24.04+vunstable+git20251209.0237-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 02:37:24 +0000
